当初，棉花从不知哪个网络小角落找到了一个新局，但他和我都打不出这个解。这时，有个人也想试试这局，他叫彦。由于棉花做的局总是差 100 血，我们惯性地以为这个残局和棉花做的局是同样的，都是残局作者故意设计的差血难题。但彦却提出了一个令我们诧异的结论——这局无解。

我对彦的结论将信将疑，以为仅仅是他半途而废而已，但在我穷举了这个残局的所有操作后，我终于确定了这个残局的确无解——彦是对的。面对这种情况，我就想在新手教学残局 X-LV 系列的最后一局（X-LV 系列原定的最后一局是 X-LV-30）来重现这种状况，用来记念这件事。

***

X-LV-30 目前是我做过的唯一一个无解的残局，它的解局血量比理论解局血量高 100 血。

***

这局其实模仿的是寄希望于有解但实际上无解的局面。

比如哥德尔不完备定理，即看似命题的含义为真就必定可证其真值为真，但其实任何自洽的形式系统，只要蕴涵皮亚诺算术公理，就可以在其中构造体系中不能被证明的真命题，因此通过推理演绎不能得到所有真命题（即体系是不完备的）。诶，你觉得自己逻辑厉害，看到一个明显正确的命题，并且找不到任何反例，以为证明它易如反掌，但结果却久觅无果，这可能不是你逻辑的问题，而是遇到哥德尔不完备定理所涉及的情况了。

***

把一个无解的残局放在新手教学残局的最后一关，是想表达什么呢？大概有三点吧：学会放弃；勇敢相信真实实践；期望管理。

学会放弃，是指放弃那些看似唾手可得，但却遥不可及的事物。比如，这局的解局血量。比如，某些动物（狗、驴之类）会一直追逐被固定在自己身上且处于视线范围内的不可触及的美食。

勇敢相信真实实践，是指更为相信自己通过试错、检察与真实实践得来的具有可行性的结论，而不是所谓大佬给出的不附带具体理由的论断。比如，这局反复试验出的最高解局血量是 3900 血，而设置的解局血量却是 4000 血。

期望管理，是指调节人对事物的预期高低。无论是期望过高，还是期望过低，当期望与现实产生的反差较大时，都会带来人的心情的转变。一般来说，期望越高，失望越大；期望越低，希望越大。比如，当玩家在游玩 X-LV-30 时，若期望大概率能解开，则最后失望较大；若期望小概率能解开，则最后希望较大。与其定个高期望来让自己失望，不如从一开始就放低期望来获取“事物比我预期的要好”的乐趣。

***

就算这局无解，棉花也还是一开口就说“秒解”。

可能是他觉得这样幽默吧，甚至还有点战略上藐视、战术上重视的意味，我却只觉这不好玩。

***

这局我没留解法备份，所以我自己其实都忘了这局最多只能打 3900 血。

由此可见，备份的重要性。

从另一角度看，连作者自己都解不出来了，坑了自己一把，其他玩家若是解不开这局也不必灰心丧气。

再从另一角度看，人类来解残局时，最大的可能，就是莫名其妙的忘了一个或多个必要效果，从而导致解局失败。这也说明了，制作残局简化版的必要性，减少非必要的效果数量，可以切实的避免玩家对必要效果的遗忘，于是更为顺利地解局。
